Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbClass.JaxbCompositeId

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbClass.JaxbCompositeId

Enclosing class:
  JaxbHibernateMapping.JaxbClass

    public static class JaxbHibernateMapping.JaxbClass.JaxbCompositeId

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded">
               <element name="key-property" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-property-element"/>
               <element name="key-many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-many-to-one-element"/>
             </choice>
             <element name="generator" type="{http://www.hibernate.org/xsd/hibernate-mapping}generator-element" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="mapped" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unsaved-value" default="undefined">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="any"/>
                 <enumeration value="none"/>
                 <enumeration value="undefined"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected String` | `clazz`
`protected JaxbGeneratorElement` | `generator`
`protected List<Object>` | `keyPropertyOrKeyManyToOne`
`protected Boolean` | `mapped`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`
`protected String` | `node`
`protected String` | `unsavedValue`

Constructor Summary
`JaxbHibernateMapping.JaxbClass.JaxbCompositeId()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`String` | `getClazz()` Gets the value of the clazz property.
`JaxbGeneratorElement` | `getGenerator()` Gets the value of the generator property.
`List<Object>` | `getKeyPropertyOrKeyManyToOne()` Gets the value of the keyPropertyOrKeyManyToOne property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`String` | `getUnsavedValue()` Gets the value of the unsavedValue property.
`boolean` | `isMapped()` Gets the value of the mapped property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setGenerator(JaxbGeneratorElement value)` Sets the value of the generator property.
`void` | `setMapped(Boolean value)` Sets the value of the mapped property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setUnsavedValue(String value)` Sets the value of the unsavedValue property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### keyPropertyOrKeyManyToOne

    protected List<Object> keyPropertyOrKeyManyToOne

### generator

    protected JaxbGeneratorElement generator

### access

    protected String access

### clazz

    protected String clazz

### mapped

    protected Boolean mapped

### name

    protected String name

### node

    protected String node

### unsavedValue

    protected String unsavedValue

Constructor Detail

### JaxbHibernateMapping.JaxbClass.JaxbCompositeId

    public JaxbHibernateMapping.JaxbClass.JaxbCompositeId()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getKeyPropertyOrKeyManyToOne

    public List<Object> getKeyPropertyOrKeyManyToOne()

  Gets the value of the keyPropertyOrKeyManyToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the keyPropertyOrKeyManyToOne property.

  For example, to add a new item, do as follows:

          getKeyPropertyOrKeyManyToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbKeyManyToOneElement` `JaxbKeyPropertyElement`

### getGenerator

    public JaxbGeneratorElement getGenerator()

  Gets the value of the generator property.

  Returns:
    possible object is `JaxbGeneratorElement`

### setGenerator

    public void setGenerator(JaxbGeneratorElement value)

  Sets the value of the generator property.

  Parameters:
    `value` - allowed object is `JaxbGeneratorElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### isMapped

    public boolean isMapped()

  Gets the value of the mapped property.

  Returns:
    possible object is `Boolean`

### setMapped

    public void setMapped(Boolean value)

  Sets the value of the mapped property.

  Parameters:
    `value` - allowed object is `Boolean`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getUnsavedValue

    public String getUnsavedValue()

  Gets the value of the unsavedValue property.

  Returns:
    possible object is `String`

### setUnsavedValue

    public void setUnsavedValue(String value)

  Sets the value of the unsavedValue property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.